Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

orderId
string
required

Unique identifier of the order whose item you want to get.

orderItemId
string
required

Unique identifier of the order item whose details you want to get.

Query Parameters

draft
boolean

Gets a draft copy of the order if one is available

responseFields
string

limits which fields are returned in the response body

Response

OK

A single line item of an order.

adjustedLineItemSubtotal
number<double> | null

Order Level taxable sub total

attributes
object[] | null

Extensible attributes for this order line.

auditInfo
object
autoAddDiscountId
integer<int32> | null

Track the discoutid from which the item was auto added

callOffOrderItemId
string | null

Identifier of the originating Call-Off Order line item, if this item was released from a Call-Off Order line. Null for standard order items.

childItemIds
string[] | null

List of Child Item Ids for this order item

data
object | null

Custom data for a given vendor set within the commerce process.

deliveryWindow
object
destinationId
string | null

The destination associated with this item when used with a multi-ship checkout.

discountTotal
number<double> | null

How much the shopper saves with the applied discount or sale price. This is a negative number.

discountedTotal
number<double> | null

Subtotal minus any discounts.

dutyAmount
number<double> | null

Duty or Tariff for this item

expectedDeliveryDate
string<date-time> | null

Expected Delivery Date of shipment

extendedTotal
number<double> | null

Line item extended total (quantity multiplied by unit extended price) before discounts.

feeTotal
number<double> | null

Not implemented. Total cost of fees that apply to this item.

fulfillmentLocationCode
string | null

Location code from which to obtain this item

fulfillmentMethod
string | null

Fulfillment method used to fulfill this item

giftInfo
object
handlingAmount
number<double> | null

Product-level handling fee for this item (e.g. special packaging, hazmat fees). This does NOT include order-level handling fees — those are in Mozu.CommerceRuntime.Contracts.Commerce.CommerceItem.WeightedOrderHandlingFee. Total handling on the shipment = HandlingAmount + WeightedOrderHandlingFee.

id
string | null

Unique identifier of the order line item. System-supplied and read-only.

inventoryTags
object[] | null
isAssemblyRequired
boolean

Assembly Required for this order item

isRecurring
boolean | null

If true, the cart item lists a product that can be purchased or fulfilled at regular intervals, for example, monthly billing or a subscription.

isReservationEnabled
boolean

Flag to indicate reserve inventory in cart

isTaxable
boolean | null

Not implemented. If true, the cart item is eligible for tax.

itemTaxTotal
number<double> | null

Total price of taxes that apply to products in this item.

lineId
integer<int32> | null

The line id assigned to the order item. Visible only in the Admin, this is set from the Admin or in CommerceRuntime when a cart is converted to an order.

lineItemAdjustment
number<double> | null
localeCode
string | null

Locale code for language that appears in text and descriptions on the site, for example, en_US. This is not the currency code. Currently only en_US is supported.

originalCartItemId
string | null

Unique identifier of the cart item that is associated with this line item. (This is the original Cart Item ID expressed as a GUID.)

parentItemId
string | null

Indicates Parent Item Id for this order item

priceMode
string | null

Determines if the item is using external or internal(catalog) pricing

product
object

The product as it appears on the order item.

productDiscount
object
productDiscounts
object[] | null

A list of discounts applied to the product

purchaseLocation
string | null

The location where the product is being purchased.. default is null. Products can have different prices by purchaseLocation via custom priceListResolution...

quantity
integer<int32>

Number of products ordered.

returnRuleInfo
object
shippingAmountBeforeDiscountsAndAdjustments
number<double> | null

Shipping amount before Discounts and adjustments

shippingDiscounts
object[] | null

A discount applied to the shipping

shippingMethodCode
string | null

Code that uniquely identifies the shipping method.

shippingMethodName
string | null

Readable name of the shipping method.

shippingTaxTotal
number<double> | null

Total price of taxes that apply to the shipping of this item.

shippingTotal
number<double> | null

Total price of shipping that apply to this item.

subscription
object
substituteInfo
object
subtotal
number<double> | null

Line item subtotal (quantity multiplied by price) before discounts.

suggestions
object[] | null

Routing suggestions

taxData
object | null

Storage for any additional/custom tax data.

taxableTotal
number<double> | null

Line item subtotal (quantity multiplied by price) before discounts.

total
number<double> | null

Total price of this cart item taking into account any discounts.

totalWithWeightedShippingAndHandling
number<double> | null

Line item total with line item, Tax, Weighted Tax with Weighted shipping and handling costs

totalWithoutWeightedShippingAndHandling
number<double> | null

Taxable Subtotal including Weighted Order amounts

unitPrice
object

Pricing details for the product listed on a cart item, including the original price, discount amount, and final price.

weightedOrderAdjustment
number<double> | null

Order Level Manual Adjustment applied to this Item

weightedOrderDiscount
number<double> | null

Order Level Discount applied to this Item

weightedOrderDuty
number<double> | null

Order Level Duty applied to this Item

weightedOrderHandlingAdjustment
number<double> | null

Order-level handling manual adjustment allocated to this item.

weightedOrderHandlingFee
number<double> | null

Order-level handling fee allocated to this item (e.g. flat handling fee spread across all items). This is separate from product-level handling in Mozu.CommerceRuntime.Contracts.Commerce.CommerceItem.HandlingAmount. Total handling on the shipment = HandlingAmount + WeightedOrderHandlingFee.

weightedOrderHandlingFeeDiscount
number<double> | null

Order-level handling fee discount allocated to this item.

weightedOrderHandlingFeeTax
number<double> | null

Total handling tax for this item (covers both product-level and order-level handling tax combined). On the shipment item, this is split into: HandlingTax (total) and WeightedOrderHandlingFeeTax (order-level portion only).

weightedOrderShipping
number<double> | null

Order Level Shipping applied to this Item

weightedOrderShippingDiscount
number<double> | null

Order Level Shipping discount applied to this Item

weightedOrderShippingManualAdjustment
number<double> | null

Order Level Shipping Manual Adjustment applied to this Item

weightedOrderShippingTax
number<double> | null

Order Level Shipping Tax applied to this Item

weightedOrderTax
number<double> | null

Order Level tax applied to this Item